%define	major		0
%define libname		%mklibname ripole %{major}
%define develname	%mklibname ripole -d

Summary:	Extracts attachments out of mailpack format emails
Name:		ripole
Version:	0.2.0
Release:	%mkrel 24
License:	BSD
Group:		Networking/Mail
URL:		https://pldaniels.com/ripole/
Source0:	https://pldaniels.com/ripole/%{name}-%{version}.tar.bz2
Patch0:		ripole-0.1.4-shared.diff
Patch1:		ripole-0.2.0-dev.diff
Patch2:		ripole-0.2.0-format_not_a_string_literal_and_no_format_arguments.diff
BuildRequires:	libtool

%description
ripOLE is a small program/library designed to pull out attachments from OLE2
data files (ie, MS Office documents). ripOLE is BSD licensed meaning that
commercial projects can also use the code without worry of licence costs or
legal liabilities. 

%package -n	%{libname}
Summary:	Shared %{name} library
Group:          System/Libraries

%description -n	%{libname}
ripOLE is a small program/library designed to pull out attachments from OLE2
data files (ie, MS Office documents). ripOLE is BSD licensed meaning that
commercial projects can also use the code without worry of licence costs or
legal liabilities.

%package -n	%{develname}
Summary:	Development files for the %{name} library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
ripOLE is a small program/library designed to pull out attachments from OLE2
data files (ie, MS Office documents). ripOLE is BSD licensed meaning that
commercial projects can also use the code without worry of licence costs or
legal liabilities. 

This package contains the development files for ripOLE.

%prep
%setup -q
%patch -P 0 -p0
%patch -P 1 -p1
%patch -P 2 -p0

%build
%serverbuild
%make_build \
CFLAGS="$CFLAGS -I. -fPIC -DPIC -D_REENTRANT" \
    libdir=%{_libdir} LDFLAGS="%ldflags"

%install
%make_install \
    bindir=%{_bindir} \
    libdir=%{_libdir} \
    includedir=%{_includedir}

find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete

%files
%doc CHANGELOG CONTRIBUTORS LICENSE README
%{_bindir}/*

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%doc TODO
%{_includedir}/%{name}/
%{_libdir}/*.so


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 0.2.0-24.mga10
+ Revision: 2128150
- Rebuild for patchN deprecation

* Wed Mar 16 2022 umeabot <umeabot> 0.2.0-23.mga9
+ Revision: 1794571
- Mageia 9 Mass Rebuild

* Thu Mar 05 2020 umeabot <umeabot> 0.2.0-22.mga8
+ Revision: 1554011
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.2.0-21.mga7
+ Revision: 1300833
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Fri Feb 12 2016 umeabot <umeabot> 0.2.0-20.mga6
+ Revision: 958854
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-19.mga5
+ Revision: 739776
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-18.mga5
+ Revision: 688675
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.2.0-17.mga4
+ Revision: 533015
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 dlucio <dlucio> 0.2.0-16.mga4
+ Revision: 470580
- bump release

* Mon Jan 14 2013 umeabot <umeabot> 0.2.0-15.mga3
+ Revision: 380343
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 fwang <fwang> 0.2.0-14.mga3
+ Revision: 305859
- drop .la file

* Sun Jan 23 2011 pterjan <pterjan> 0.2.0-14.mga1
+ Revision: 35088
- Drop old scriptlets
- imported package ripole

